---
workflow:
  name: "Deployment pipeline - $WORKFLOW_NAME"
  rules:
    - when: always

stages:
  - deploy
  - update
  - deploy-wc
  - update-wc
  - deployment-test
  - delete

default:
  tags:
    - gitlab-org-docker
  image: $CI_IMAGE
  before_script:
    - |
      echo -e "[\\e[1;94mEnvironment INFO\\e[0m]"
      echo "  CAPO_TAG = $CAPO_TAG"
      echo "  OCI_TAG = ${OCI_TAG:-'N/A'}"
      echo "  ENV_NAME = $ENV_NAME"
      echo "  KIND_CLUSTER_NAME = $KIND_CLUSTER_NAME"
      echo -e "[\\e[1;94mCommon cluster INFO\\e[0m]"
      echo "  CUSTOM_VALUES_FILE = ${CUSTOM_VALUES_FILE:-'N/A'}"
      echo "  REMOTE_VALUES = ${REMOTE_VALUES:-'N/A'}"
      echo -e "[\\e[1;94mManagement cluster INFO\\e[0m]"
      echo "  MANAGEMENT_CLUSTER_NAME = $MANAGEMENT_CLUSTER_NAME"
      echo "  MGMT_DEPLOYMENT_CUSTOM = ${MGMT_DEPLOYMENT_CUSTOM:-'N/A'}"
      echo "  MGMT_UPDATE_CUSTOM = ${MGMT_UPDATE_CUSTOM}"
      echo -e "[\\e[1;94mWorkload cluster INFO\\e[0m]"
      echo "  WORKLOAD_CLUSTER_NAME = $WORKLOAD_CLUSTER_NAME"
      echo "  WC_DEPLOYMENT_CUSTOM = ${WC_DEPLOYMENT_CUSTOM:-'N/A'}"
      echo "  WC_UPDATE_CUSTOM = ${WC_UPDATE_CUSTOM}"
